# PhasicFlow: solvers/iterateSphereParticles/iterateSphereParticles.cpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

iterateSphereParticles.cpp File Reference
Include dependency graph for iterateSphereParticles.cpp:

Go to the source code of this file.

## Functions

int | main (int argc, char *argv[])
| DEM solver for simulating granular flow of cohesion-less particles. More...

## Function Documentation

## main()

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

DEM solver for simulating granular flow of cohesion-less particles.

In the root case directory just simply enter the following command to run the simulation. For command line options use flag -h.

Definition at line 47 of file iterateSphereParticles.cpp.

References particles::afterIteration(), sphereParticles::beforeIteration(), Control, END_REPORT, processors::finalizeProcessors(), pFlow::initialize_pFlowProcessors(), processors::initProcessors(), sphereParticles::iterate(), commandLine::parse(), REPORT, and sphParticles.

Here is the call graph for this function: